Loading...
Searching...
No Matches
D3D11PatchTable Class Reference

`#include <d3d11PatchTable.h>`

Inheritance diagram for D3D11PatchTable:

## Public Types

typedef ID3D11Buffer * | VertexBufferBinding

## Public Member Functions

| D3D11PatchTable ()
| ~D3D11PatchTable ()
PatchArrayVector const & | GetPatchArrays () const
ID3D11Buffer * | GetPatchIndexBuffer () const
| Returns the index buffer containing the patch control vertices.
ID3D11ShaderResourceView * | GetPatchParamSRV () const
| Returns the SRV containing the patch parameter.

## Static Public Member Functions

template<typename DEVICE_CONTEXT>
static D3D11PatchTable * | Create (Far::PatchTable const *farPatchTable, DEVICE_CONTEXT context)
static D3D11PatchTable * | Create (Far::PatchTable const *farPatchTable, ID3D11DeviceContext *deviceContext)

## Protected Member Functions

bool | allocate (Far::PatchTable const *farPatchTable, ID3D11DeviceContext *deviceContext)

## Protected Attributes

PatchArrayVector | _patchArrays
ID3D11Buffer * | _indexBuffer
ID3D11Buffer * | _patchParamBuffer
ID3D11ShaderResourceView * | _patchParamBufferSRV

## Detailed Description

Definition at line 49 of file d3d11PatchTable.h.

## Member Typedef Documentation

## VertexBufferBinding

typedef ID3D11Buffer* VertexBufferBinding

Definition at line 51 of file d3d11PatchTable.h.

## Constructor & Destructor Documentation

## D3D11PatchTable()

D3D11PatchTable | ( |  | ) |

## ~D3D11PatchTable()

~D3D11PatchTable | ( |  | ) |

## Member Function Documentation

## allocate()

bool allocate | ( | Far::PatchTable const * | farPatchTable,
|  | ID3D11DeviceContext * | deviceContext )

protected

## Create() [1/2]

template<typename DEVICE_CONTEXT>

D3D11PatchTable * Create | ( | Far::PatchTable const * | farPatchTable,
|  | DEVICE_CONTEXT | context )

inline static

Definition at line 57 of file d3d11PatchTable.h.

## Create() [2/2]

D3D11PatchTable * Create | ( | Far::PatchTable const * | farPatchTable,
|  | ID3D11DeviceContext * | deviceContext )

static

## GetPatchArrays()

PatchArrayVector const & GetPatchArrays | ( |  | ) | const

inline

Definition at line 65 of file d3d11PatchTable.h.

## GetPatchIndexBuffer()

ID3D11Buffer * GetPatchIndexBuffer | ( |  | ) | const

inline

Returns the index buffer containing the patch control vertices.

Definition at line 70 of file d3d11PatchTable.h.

## GetPatchParamSRV()

ID3D11ShaderResourceView * GetPatchParamSRV | ( |  | ) | const

inline

Returns the SRV containing the patch parameter.

Definition at line 75 of file d3d11PatchTable.h.

## Member Data Documentation

## _indexBuffer

ID3D11Buffer* _indexBuffer

protected

Definition at line 86 of file d3d11PatchTable.h.

## _patchArrays

PatchArrayVector _patchArrays

protected

Definition at line 84 of file d3d11PatchTable.h.

## _patchParamBuffer

ID3D11Buffer* _patchParamBuffer

protected

Definition at line 87 of file d3d11PatchTable.h.

## _patchParamBufferSRV

ID3D11ShaderResourceView* _patchParamBufferSRV

protected

Definition at line 88 of file d3d11PatchTable.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/d3d11PatchTable.h